RHEL 8:nodejs: 12(RHSA-2021:3639)

critical Nessus プラグイン ID 153553

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 8ホストにインストールされているパッケージは、RHSA-2021:3639アドバイザリで参照されている脆弱性の影響を受けます。

- libuv:uv__idna_toascii()の領域外読み取りにより、情報漏洩またはクラッシュにつながる可能性があります。(CVE-2021-22918)

- nodejs: ストリームキャンセル時にhttp2を閉じる際のメモリ解放後使用(Use After Free)(CVE-2021-22930、 CVE-2021-22940)

- nodejs: ドメイン名の特殊文字の不適切な処理(CVE-2021-22931)

- nodejs: tls rejectUnauthorized パラメーターの不完全な検証(CVE-2021-22939)

-nodejs-path-parse:splitDeviceRe、splitTailRe、およびsplitPatによるReDoS(CVE-2021-23343)

-nodejs-hosted-git-info:fromUrl()のshortcutMatchによる正規表現のサービス拒否(CVE-2021-23362)

-nodejs-ssri:厳格なモードで悪意のあるSRIを解析する際の正規表現のDoS(ReDoS)(CVE-2021-27290)

-nodejs-tar:任意のファイルの作成および上書きが可能となる不十分なシンボリックリンクの保護(CVE-2021-32803)

-nodejs-tar:任意のファイルの作成および上書きが可能となる絶対パスの不適切なサニタイズ(CVE-2021-32804)

- c-ares:ホスト名の入力検証が行われず、ドメインハイジャックが引き起こされる可能性があります(CVE-2021-3672)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/22.html

https://cwe.mitre.org/data/definitions/79.html

https://cwe.mitre.org/data/definitions/125.html

https://cwe.mitre.org/data/definitions/400.html

https://cwe.mitre.org/data/definitions/416.html

https://access.redhat.com/security/cve/CVE-2021-3672

https://access.redhat.com/security/cve/CVE-2021-22918

https://access.redhat.com/security/cve/CVE-2021-22930

https://access.redhat.com/security/cve/CVE-2021-22931

https://access.redhat.com/security/cve/CVE-2021-22939

https://access.redhat.com/security/cve/CVE-2021-22940

https://access.redhat.com/security/cve/CVE-2021-23343

https://access.redhat.com/security/cve/CVE-2021-23362

https://access.redhat.com/security/cve/CVE-2021-27290

https://access.redhat.com/security/cve/CVE-2021-32803

https://access.redhat.com/security/cve/CVE-2021-32804

https://access.redhat.com/errata/RHSA-2021:3639

https://bugzilla.redhat.com/1941471

https://bugzilla.redhat.com/1943208

https://bugzilla.redhat.com/1956818

https://bugzilla.redhat.com/1979338

https://bugzilla.redhat.com/1988342

https://bugzilla.redhat.com/1988394

https://bugzilla.redhat.com/1990409

https://bugzilla.redhat.com/1990415

https://bugzilla.redhat.com/1993019

https://bugzilla.redhat.com/1993029

https://bugzilla.redhat.com/1993039

プラグインの詳細

深刻度: Critical

ID: 153553

ファイル名: redhat-RHSA-2021-3639.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2021/9/22

更新日: 2022/1/26

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2021-22931

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:rhel_e4s:8.1, cpe:/o:redhat:rhel_eus:8.1, p-cpe:/a:redhat:enterprise_linux:nodejs, p-cpe:/a:redhat:enterprise_linux:nodejs-devel, p-cpe:/a:redhat:enterprise_linux:nodejs-docs, p-cpe:/a:redhat:enterprise_linux:nodejs-full-i18n, p-cpe:/a:redhat:enterprise_linux:nodejs-nodemon, p-cpe:/a:redhat:enterprise_linux:nodejs-packaging, p-cpe:/a:redhat:enterprise_linux:npm

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/9/22

脆弱性公開日: 2021/3/12

参照情報

CVE: CVE-2021-3672, CVE-2021-22918, CVE-2021-22930, CVE-2021-22931, CVE-2021-22939, CVE-2021-22940, CVE-2021-23343, CVE-2021-23362, CVE-2021-27290, CVE-2021-32803, CVE-2021-32804

RHSA: 2021:3639

IAVB: 2021-B-0041-S, 2021-B-0050-S

CWE: 20, 22, 79, 125, 400, 416